/*
  
  Teris (Ein-/Ausgaben via mcurses; Definitionen)
  ===============================================
                Uwe Berger; 2015


  ---------
  Have fun! 
 
 *----------------------------------------------------------------------
 * Copyright (c) 2015 Uwe Berger - bergeruw(at)gmx.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *----------------------------------------------------------------------
*/

#ifndef _TETRIS_IO_H
#define _TETRIS_IO	_H

#include <string.h>
#include "mcurses.h"
#include "tetris.h"

// Bildschirmposition Spielfeld
#define GRID_X		5
#define GRID_Y		3

// Bildschirmposition Spielstaende
#define SCORE_X		20
#define SCORE_Y		4

// Forwards
void create_game_screen(void);
void destroy_game_screen(void);	
void draw_brick(brick_t *b);
void clear_brick(brick_t *b);
void draw_next_brick(brick_t *b);
void draw_grid(grid_t *g);
void draw_score(score_t *s);
int  get_key(void);
void my_itoa(int n, char s[]);

#endif
